From d678cddb1e49eb25f54a8e88ac5ad840854e08d5 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 11 2020 21:38:07 +0000
Subject: [PATCH 256/2232] Merge pull request #107 from dtolnay/explicit


Make it explicit when going from T to Box<T>
---

diff --git a/include/cxx.h b/include/cxx.h
index 157c31e..2ffacc5 100644
--- a/include/cxx.h
+++ b/include/cxx.h
@@ -94,11 +94,11 @@ public:
 
   Box(const Box &other) : Box(*other) {}
   Box(Box &&other) noexcept : ptr(other.ptr) { other.ptr = nullptr; }
-  Box(const T &val) {
+  explicit Box(const T &val) {
     this->uninit();
     ::new (this->ptr) T(val);
   }
-  Box(T &&val) {
+  explicit Box(T &&val) {
     this->uninit();
     ::new (this->ptr) T(std::move(val));
   }

